> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List roles

> Lists the available roles that can be assigned to a person to determine their access and permissions.



## OpenAPI

````yaml /autogenerated/openapi/cis.openapi.json get /roles
openapi: 3.1.0
info:
  title: CIS API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /roles:
    get:
      tags:
        - People
      summary: List roles
      description: >-
        Lists the available roles that can be assigned to a person to determine
        their access and permissions.
      operationId: findAllRoles
      parameters:
        - name: accountId
          in: query
          schema:
            description: NOT USED YET
            type:
              - string
        - name: limit
          in: query
          schema:
            description: The maximum number of results to return.
            default: 100
            type:
              - integer
            minimum: 1
            maximum: 1000
            example: 200
        - name: offset
          in: query
          schema:
            description: The number of items to skip before returning results.
            default: 0
            type:
              - integer
            example: 100
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  limit:
                    description: The maximum number of results to return.
                    default: 100
                    type:
                      - integer
                    minimum: 1
                    maximum: 1000
                    example: 200
                  offset:
                    description: The number of items to skip before returning results.
                    default: 0
                    type:
                      - integer
                    example: 100
                  count:
                    type:
                      - integer
                    description: >-
                      The total amount of records matching the querying when
                      "limit" is ignored.
                    example: 67
                  search:
                    description: The term to search the records for.
                    type:
                      - string
                    maxLength: 100
                    example: Cesar+Treutel
                  rows:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        id:
                          type:
                            - string
                          maxLength: 36
                          format: uuid
                        name:
                          type:
                            - string
                          maxLength: 256
                          example: Viewer
                        accountId:
                          type:
                            - string
                            - 'null'
                          description: The ID of the account to work with.
                          example: F50091
                        type:
                          type:
                            - string
                          maxLength: 512
                          example: core
                        createdAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was initially created. ISO
                            8601 format without milliseconds.
                        updatedAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was last modified. ISO 8601
                            format without milliseconds.
                      required:
                        - name
                        - createdAt
                        - updatedAt
                required:
                  - count
                  - rows
                example:
                  limit: 200
                  offset: 100
                  count: 67
                  search: Cesar+Treutel
                  rows:
                    - id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                      name: Viewer
                      accountId: F50091
                      type: core
                      createdAt: '2019-08-24T14:15:22Z'
                      updatedAt: '2019-08-24T14:15:22Z'
      security:
        - CommonAuth:
            - roles:read:own
            - roles:read:any
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````